#include <doslibm.h>
#include "defines.h"

int check_ramdisk(int drive)
/* 指定ドライブがＲＡＭＤＩＳＫかどうかを調べる */
{
unchar drv[MAXDRIVE],dir0[MAXPATH];
struct DPBPTR dpb;
	drv[0]='A'+drive;
	drv[1]=':';
	drv[2]=0;
	
	/* ドライブ接続チェック */
	if (GETASSIGN(drv,dir0)==0) return(-1); /* つながっていない */
	
	/* ドライブ情報取得 */
	GETDPB(drive+1,&dpb);
	return(dpb.id==0xf9);
}
